/* styles.css */

* {
	font-family: "Funnel Sans", sans-serif;
	line-height: 1.3em;
	letter-spacing: 0.01em;
}

body {
	margin: 0;
	font-family: Arial, sans-serif;
	background-color: #eeeeee;
	background-image: url(img/SSWE3.png);
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
	background-attachment: fixed;

}

header {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 80px;
	background-color: #fff;
	opacity: 0;
	transition: opacity 0.3s ease;
    pointer-events: none; /* Prevents interaction when invisible */
}

header.visible {
	opacity: 0.9;
}

main {
	max-width: 900px;
	margin-left: 200px;
}


.top-left-logos {
	position: fixed;
	top: 100px;
	left: 20px;
	display: flex;
	flex-direction: column;
	filter: grayscale(100%);
	opacity: 0.7;
}

.org-logo {
	width: 100px;
	margin-bottom: 20px;
}

#logo-plus {
	width: 65px;
}

#logo-speed2zero {
	width: 95px;
}

.top-right-links {
    position: absolute;       
    top: 30px;              
    right: 20px;             
    display: flex;             
    align-items: center;       
    gap: 15px;                 
}


.language-switcher {
    display: flex;             
    gap: 10px;                
    font-size: 16px;         
}


.language-switcher a {
    text-decoration: none;     
    color: inherit;           
    padding: 0 5px;           
}

/* Hover-Effekt für die Links */
.language-switcher a:hover {
    text-decoration: underline; /* Unterstreicht den Link im Hover-Zustand */
}

/* Für aktive Sprache */
.language-switcher a.active {
    font-weight: bold;         /* Macht die aktive Sprache fett */
    color: #007bff;            /* Farbe für aktive Sprache (blau) */
}
/* Style for each language option */
.language-option {
    padding: 5px 10px;
    margin: 0 10px;
}

/* Hover effect for the language options */
.language-option:hover {
    text-decoration: underline;
}

.language-selector {
    display: flex;
    gap: 5px;  /* Abstand zwischen Sprachoptionen */
}

.language-selector span {
    cursor: pointer;
    font-size: 13px;
    font-weight: bold;
}

.language-selector span:hover {
    text-decoration: underline;
}

.language-selector span.selected {
    font-weight: bold;
    text-decoration: underline;
}

.center-content {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	min-height: 100vh;
	text-align: center;
}

.project-logo.small img {
	width: 53px;
	height: 53px;
	margin-right: 8px;
}

.project-logo.big img {
	width: 200px;
	transition: opacity 1s;
}

.project-logo p {
	font-weight: 100;
}

.project-logo.small p span {
    font-weight: bold !important;
}

.project-logo.big p {
	font-size: 2em;
}

.project-logo.small p {
	font-size: 14px;
	line-height: 0.7em;
}

.project-logo.small.visible {
    display: flex;
}


h1 {
	font-size: 3em;
	margin: 20px 0;
	max-width: 700px;
}

h2 {
	border-bottom: solid 1px #ccbccd;
	padding-bottom: 0.5em;
	margin-bottom: 0;
}

li {
	margin-bottom: 1em;
}

#button {
	position: sticky;
	top: 15px;
	padding: 0 50px;
}

#button button {
	padding: 15px 30px;
	font-size: 1.2em;
	background-color: #006b76;
	color: white;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);

}

#button button:hover {
	background-color: #2f8c96;
}


#top {
	margin-top: 200px;
}

section {
	padding: 20px 50px;
	margin-bottom: 10px;

}

.lead-text {
	font-size: 1.2em;
	font-weight: bold;
}

.project-logo.small {
	display: none;
	position: fixed;
	align-items: center;
	top: 10px;
	left: 20px;
	width: 150px;
}

.fixed-button {
	position: fixed;
	top: 10px;
	right: 10px;
}

.clean, .spot {
	box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
}

.clean {
	background-color: rgba(255, 255, 255, 0.8);
}

.spot {
	background-color: #3f2539cf;
	color: #fff
}

a {
	color: #006b76;
}

.spot a {
	color: #ccbccd
}


#features {
	background-color: #71814dd4;
	color: #fff;
}

#contributors ul {
	column-count: 3;
}

/* reduce column count on smaller screens */
@media (max-width: 1070px) {
	#contributors ul {
		column-count: 2;
	}
}

@media (max-width: 850px) {
	#contributors ul {
		column-count: 1;
	}
}

/* #news on top if screen > 1000px */
@media (min-width: 1300px) {
	section#news {
		position: absolute;
		top: 100px;
		right: 0px;
		max-width: 400px;
		box-shadow: -5px 5px 15px rgba(0, 0, 0, 0.3);
	}
}

.nowrap {
	white-space: nowrap;
}

/* mobile styles */
@media (max-width: 900px) {


	.project-logo.small {
		position: absolute;
	}

	.top-left-logos {
		position: absolute;
		top: 30px;
	}

	.top-right-links {
		position: absolute;
	}

	main {
		margin-left: 0;
	}

	#top {
		margin-top: 350px;
	}
}

/* Standardmäßig alle Sprachtexte ausblenden */
[data-lang] {
    display: none;
}

/* Nur die ausgewählte Sprache anzeigen */
[data-lang].visible {
    display: block;
}


.lang-option {
    cursor: pointer;
    color: #000; /* Stellen Sie sicher, dass die Farbe sichtbar ist */
    margin: 0 5px;
}

.lang-option.active {
    font-weight: bold;
    color: #007BFF; /* Aktive Sprache hervorheben */
}

.lang-separator {
    color: #000; /* Farbe der Trennstriche */
}

header.visible + .project-logo.small {
    display: flex;
}